# Config File

```
# CoinFlip Configuration
# Author: CoderYuvraj
# Fully customizable GUI and game settings

# Reward System Settings
reward:
  # Choose which plugin to use for rewards
  # Options: VAULT, PLAYERPOINTS, BOTH
  # VAULT - Use economy (money) only
  # PLAYERPOINTS - Use PlayerPoints only
  # BOTH - Give both money and points on wins
  type: VAULT
  
  # PlayerPoints settings (if type is PLAYERPOINTS or BOTH)
  playerpoints:
    enabled: false
    # Points multiplier (if BOTH is selected)
    # Example: If bet is $100, player gets 100 * multiplier points
    multiplier: 1.0
    # Give points even when using VAULT mode?
    give_bonus_points: false
    bonus_multiplier: 0.1  # 10% of bet amount as bonus points
  
  # Tax system (optional)
  tax:
    enabled: false
    # Percentage to take from winner (0.0 to 1.0)
    # Example: 0.05 = 5% tax
    rate: 0.05
    # Where to send taxed amount
    # Options: SERVER, DISCARD
    destination: DISCARD

# Plugin settings
plugin:
  # Minimum amount for coinflip games
  min-amount: 1.0
  
  # Maximum amount for coinflip games
  max-amount: 1000000.0
  
  # Auto-cleanup inactive games after X minutes
  cleanup-interval: 30

# GUI settings
gui:
  # Number of games per page in the coinflip GUI
  games-per-page: 28
  
  # Animation delay between coin flips (in ticks, 20 ticks = 1 second)
  flip-delay: 20
  
  # Number of flips during animation
  min-flips: 5
  max-flips: 6

# Messages (with color codes)
messages:
  no-permission: "&cYou don't have permission to use this command!"
  insufficient-funds: "&cYou don't have enough money!"
  invalid-amount: "&cInvalid amount! Please enter a valid number."
  amount-too-low: "&cAmount must be at least $%.2f!"
  amount-too-high: "&cAmount cannot exceed $%.2f!"
  
  # Game messages
  game-created: "§aᴛʜᴇ ᴄᴏɴғʟɪᴘ ɪs ᴄʀᴇᴀᴛᴇᴅ"
  game-exists: "§cᴀ ᴄᴏɴғʟɪᴘ ɢᴀᴍᴇ ɪs ᴀʟʀᴇᴀᴅʏ ᴇxɪsᴛ ғᴏʀ ᴄʀᴇᴀᴛɪɴɢ ᴀɴᴏᴛʜᴇʀ ᴅᴇʟᴇᴛᴇ ᴛʜᴇ ᴇxɪsᴛ ᴏɴᴇ"
  game-deleted: "§aᴛʜᴇ ᴄᴏɴғʟɪᴘ ʜᴀs ʙᴇᴇɴ ᴅᴇʟᴇᴛᴇᴅ"
  no-active-game: "§cʏᴏᴜ ᴅᴏɴ'ᴛ ʜᴀᴠᴇ ᴀɴʏ ᴀᴄᴛɪᴠᴇ ɢᴀᴍᴇ ᴛᴏ ᴅᴇʟᴇᴛᴇ"
  
  # Win/Loss messages
  win-message: "§x§7§5§F§F§0§0ʏᴏᴜ ʜᴀᴠᴇ ᴡᴏɴ ᴛʜᴇ ᴄᴏɪɴғʟɪᴘ ᴀɢᴀɪɴsᴛ §f%opponent% §x§7§5§F§F§0§0ᴀɴᴅ ᴇᴀʀɴᴇᴅ §f$%.2f"
  lose-message: "§x§7§5§F§F§0§0ʏᴏᴜ ʜᴀᴠᴇ ʟᴏsᴛ ᴛʜᴇ ᴄᴏɪɴғʟɪᴘ ᴀɢᴀɪɴsᴛ §f%opponent% §x§7§5§F§F§0§0ᴀɴᴅ ʟᴏsᴛ §f$%.2f"
  
  # Error messages
  cannot-join-own-game: "&cYou can't join your own game!"
  game-not-found: "&cGame not found or no longer available!"
  game-full: "&cThis game already has an opponent!"

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.twocube.in/plugins/coinflip-plugin/config-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
